## ide-project-info ide-project-info |

## Functions

gint | ide_project_info_compare ()
GFile * | ide_project_info_get_file ()
IdeDoap * | ide_project_info_get_doap ()
void | ide_project_info_set_doap ()
const gchar * | ide_project_info_get_build_system_name ()
const gchar * | ide_project_info_get_description ()
GFile * | ide_project_info_get_directory ()
gboolean | ide_project_info_get_is_recent ()
gint | ide_project_info_get_priority ()
GDateTime * | ide_project_info_get_last_modified_at ()
void | ide_project_info_set_last_modified_at ()
const gchar * const * | ide_project_info_get_languages ()
const gchar * | ide_project_info_get_name ()
IdeVcsUri * | ide_project_info_get_vcs_uri ()
void | ide_project_info_set_file ()
void | ide_project_info_set_build_system_name ()
void | ide_project_info_set_description ()
void | ide_project_info_set_directory ()
void | ide_project_info_set_is_recent ()
void | ide_project_info_set_languages ()
void | ide_project_info_set_name ()
void | ide_project_info_set_priority ()
void | ide_project_info_set_vcs_uri ()

## Properties

gchar * | build-system-name | Read / Write
gchar * | description | Read / Write
GFile * | directory | Read / Write
IdeDoap * | doap | Read / Write
GFile * | file | Read / Write
gboolean | is-recent | Read / Write
GStrv | languages | Read / Write
GDateTime * | last-modified-at | Read / Write
gchar * | name | Read / Write
gint | priority | Read / Write
IdeVcsUri * | vcs-uri | Read / Write / Construct Only

## Types and Values

#define | IDE_TYPE_PROJECT_INFO
| IdeProjectInfo

## Object Hierarchy

        GObject
        ╰── IdeProjectInfo

## Description

## Functions

### ide_project_info_compare ()

    gint
    ide_project_info_compare (IdeProjectInfo *info1,
                              IdeProjectInfo *info2);

### ide_project_info_get_file ()

    GFile *
    ide_project_info_get_file (IdeProjectInfo *self);

Gets the “file” property. This is the project file (such as configure.ac) of the project.

#### Parameters

self | an IdeProjectInfo. | [in]

#### Returns

a GFile.

[nullable][transfer none]

### ide_project_info_get_doap ()

    IdeDoap *
    ide_project_info_get_doap (IdeProjectInfo *self);

#### Returns

An IdeDoap or `NULL`.

[nullable][transfer none]

### ide_project_info_set_doap ()

    void
    ide_project_info_set_doap (IdeProjectInfo *self,
                               IdeDoap *doap);

### ide_project_info_get_build_system_name ()

    const gchar *
    ide_project_info_get_build_system_name
                                   (IdeProjectInfo *self);

### ide_project_info_get_description ()

    const gchar *
    ide_project_info_get_description (IdeProjectInfo *self);

### ide_project_info_get_directory ()

    GFile *
    ide_project_info_get_directory (IdeProjectInfo *self);

Gets the “directory” property. This is the directory containing the project (if known).

#### Parameters

self | an IdeProjectInfo. | [in]

#### Returns

a GFile.

[nullable][transfer none]

### ide_project_info_get_is_recent ()

    gboolean
    ide_project_info_get_is_recent (IdeProjectInfo *self);

### ide_project_info_get_priority ()

    gint
    ide_project_info_get_priority (IdeProjectInfo *self);

### ide_project_info_get_last_modified_at ()

    GDateTime *
    ide_project_info_get_last_modified_at (IdeProjectInfo *self);

#### Returns

a GDateTime or `NULL`.

[transfer none][nullable]

### ide_project_info_set_last_modified_at ()

    void
    ide_project_info_set_last_modified_at (IdeProjectInfo *self,
                                           GDateTime *modified_at);

### ide_project_info_get_languages ()

    const gchar * const *
    ide_project_info_get_languages (IdeProjectInfo *self);

#### Returns

An array of language names.

[transfer none]

### ide_project_info_get_name ()

    const gchar *
    ide_project_info_get_name (IdeProjectInfo *self);

### ide_project_info_get_vcs_uri ()

    IdeVcsUri *
    ide_project_info_get_vcs_uri (IdeProjectInfo *self);

Gets the IdeVcsUri for the project info. This should be set with the remote URI for the version control system. It can be used to clone the project when activated from the greeter.

#### Parameters

self | an IdeProjectInfo |

#### Returns

a IdeVcsUri or `NULL`.

[transfer none][nullable]

Since: 3.28

### ide_project_info_set_file ()

    void
    ide_project_info_set_file (IdeProjectInfo *self,
                               GFile *file);

### ide_project_info_set_build_system_name ()

    void
    ide_project_info_set_build_system_name
                                   (IdeProjectInfo *self,
                                    const gchar *build_system_name);

### ide_project_info_set_description ()

    void
    ide_project_info_set_description (IdeProjectInfo *self,
                                      const gchar *description);

### ide_project_info_set_directory ()

    void
    ide_project_info_set_directory (IdeProjectInfo *self,
                                    GFile *directory);

### ide_project_info_set_is_recent ()

    void
    ide_project_info_set_is_recent (IdeProjectInfo *self,
                                    gboolean is_recent);

### ide_project_info_set_languages ()

    void
    ide_project_info_set_languages (IdeProjectInfo *self,
                                    gchar **languages);

### ide_project_info_set_name ()

    void
    ide_project_info_set_name (IdeProjectInfo *self,
                               const gchar *name);

### ide_project_info_set_priority ()

    void
    ide_project_info_set_priority (IdeProjectInfo *self,
                                   gint priority);

### ide_project_info_set_vcs_uri ()

    void
    ide_project_info_set_vcs_uri (IdeProjectInfo *self,
                                  IdeVcsUri *uri);

## Types and Values

### IDE_TYPE_PROJECT_INFO

    #define IDE_TYPE_PROJECT_INFO (ide_project_info_get_type())

### IdeProjectInfo

    typedef struct _IdeProjectInfo IdeProjectInfo;

## Property Details

### The `“build-system-name”` property

      “build-system-name”        gchar *

Build System name.

Flags: Read / Write

Default value: NULL

### The `“description”` property

      “description”              gchar *

The project description.

Flags: Read / Write

Default value: NULL

### The `“directory”` property

      “directory”                GFile *

The project directory.

Flags: Read / Write

### The `“doap”` property

      “doap”                     IdeDoap *

A DOAP describing the project.

Flags: Read / Write

### The `“file”` property

      “file”                     GFile *

The toplevel project file.

Flags: Read / Write

### The `“is-recent”` property

      “is-recent”                gboolean

Is Recent.

Flags: Read / Write

Default value: FALSE

### The `“languages”` property

      “languages”                GStrv

Languages.

Flags: Read / Write

### The `“last-modified-at”` property

      “last-modified-at”         GDateTime *

Last Modified At.

Flags: Read / Write

### The `“name”` property

      “name”                     gchar *

The project name.

Flags: Read / Write

Default value: NULL

### The `“priority”` property

      “priority”                 gint

The priority of the project information type.

Flags: Read / Write

Default value: 0

### The `“vcs-uri”` property

      “vcs-uri”                  IdeVcsUri *

The vcs uri of the project, in case it is not local.

Flags: Read / Write / Construct Only